curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"sponsorId": "<string>",
"request": {
"contactEmail": "<string>",
"description": "<string>",
"name": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor"
payload = {
"eventId": "<string>",
"sponsorId": "<string>",
"request": {
"contactEmail": "<string>",
"description": "<string>",
"name": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
sponsorId: '<string>',
request: {
contactEmail: '<string>',
description: '<string>',
name: '<string>',
socialLinks: {
facebookProfile: '<string>',
linkedInProfile: '<string>',
twitterProfile: '<string>',
websiteUrl: '<string>'
},
tagline: '<string>'
}
})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventId' => '<string>',
'sponsorId' => '<string>',
'request' => [
'contactEmail' => '<string>',
'description' => '<string>',
'name' => '<string>',
'socialLinks' => [
'facebookProfile' => '<string>',
'linkedInProfile' => '<string>',
'twitterProfile' => '<string>',
'websiteUrl' => '<string>'
],
'tagline' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor"
payload := strings.NewReader("{\n \"eventId\": \"<string>\",\n \"sponsorId\": \"<string>\",\n \"request\": {\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventId\": \"<string>\",\n \"sponsorId\": \"<string>\",\n \"request\": {\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventId\": \"<string>\",\n \"sponsorId\": \"<string>\",\n \"request\": {\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyUpdate Sponsor
Tool name: v1_update_sponsor Β· Behaviour: βοΈ Write Β· π Idempotent
Change the details of a sponsor on an event in your Zuddl organization. Send only the fields you want to change; anything you omit keeps its current value. Social links you supply are merged by type β a link you name is replaced, a link sent as an empty string is removed, and one you omit is left alone β while the sponsorβs tier, booth, assigned tasks and uploaded files keep their current values. On events with the exhibitor portal the attached boothβs name and description are derived from the sponsor, so changing the name or tagline re-derives them. Images are not settable here β use v1_upload_sponsor_image. Returns the updated sponsor.
Same as Public API: Update a sponsor (PATCH /v1/events/{eventId}/sponsors/{sponsorId})
curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"sponsorId": "<string>",
"request": {
"contactEmail": "<string>",
"description": "<string>",
"name": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor"
payload = {
"eventId": "<string>",
"sponsorId": "<string>",
"request": {
"contactEmail": "<string>",
"description": "<string>",
"name": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
sponsorId: '<string>',
request: {
contactEmail: '<string>',
description: '<string>',
name: '<string>',
socialLinks: {
facebookProfile: '<string>',
linkedInProfile: '<string>',
twitterProfile: '<string>',
websiteUrl: '<string>'
},
tagline: '<string>'
}
})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventId' => '<string>',
'sponsorId' => '<string>',
'request' => [
'contactEmail' => '<string>',
'description' => '<string>',
'name' => '<string>',
'socialLinks' => [
'facebookProfile' => '<string>',
'linkedInProfile' => '<string>',
'twitterProfile' => '<string>',
'websiteUrl' => '<string>'
],
'tagline' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor"
payload := strings.NewReader("{\n \"eventId\": \"<string>\",\n \"sponsorId\": \"<string>\",\n \"request\": {\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventId\": \"<string>\",\n \"sponsorId\": \"<string>\",\n \"request\": {\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_update_sponsor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventId\": \"<string>\",\n \"sponsorId\": \"<string>\",\n \"request\": {\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
OAuth 2.1 access token. MCP clients obtain it themselves (dynamic client registration + PKCE) when you connect them to the server URL above.
Body
The tool's arguments, as sent in a JSON-RPC tools/call request.
Response
A JSON-RPC tools/call result. The tool's output is in content.
Was this page helpful?